org.apache.jmeter.engine

## Class RemoteJMeterEngineImpl

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteServer
    - - java.rmi.server.UnicastRemoteObject
      - - org.apache.jmeter.engine.RemoteJMeterEngineImpl

- All Implemented Interfaces:
    java.io.Serializable, java.rmi.Remote, RemoteJMeterEngine

      public final class RemoteJMeterEngineImpl
      extends java.rmi.server.UnicastRemoteObject
      implements RemoteJMeterEngine

  This is the JMeter server main code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.server.RemoteObject

      `ref`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `rconfigure(HashTree testTree, java.lang.String host, java.io.File jmxBase, java.lang.String scriptName)` Adds a feature to the ThreadGroup attribute of the RemoteJMeterEngineImpl object.
    `void` | `rexit()`
    `void` | `rreset()`
    `void` | `rrunTest()`
    `void` | `rsetProperties(java.util.Properties p)`
    `void` | `rstopTest(boolean now)`
    `static void` | `startServer(int rmiRegistryPort)`

    - ### Methods inherited from class java.rmi.server.UnicastRemoteObject

      `clone, exportObject, exportObject, exportObject, unexportObject`

    - ### Methods inherited from class java.rmi.server.RemoteServer

      `getClientHost, getLog, setLog`

    - ### Methods inherited from class java.rmi.server.RemoteObject

      `equals, getRef, hashCode, toString, toStub`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### startServer

          public static void startServer(int rmiRegistryPort)
                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### rconfigure

          public void rconfigure(HashTree testTree,
                                 java.lang.String host,
                                 java.io.File jmxBase,
                                 java.lang.String scriptName)
                          throws java.rmi.RemoteException

      Adds a feature to the ThreadGroup attribute of the RemoteJMeterEngineImpl object.
      Specified by:
        `rconfigure` in interface `RemoteJMeterEngine`
      Parameters:
        `testTree` - the feature to be added to the ThreadGroup attribute
      Throws:
        `java.rmi.RemoteException`

    - #### rrunTest

          public void rrunTest()
                        throws java.rmi.RemoteException,
                               JMeterEngineException

      Specified by:
        `rrunTest` in interface `RemoteJMeterEngine`
      Throws:
        `java.rmi.RemoteException`
        `JMeterEngineException`

    - #### rreset

          public void rreset()
                      throws java.rmi.RemoteException

      Specified by:
        `rreset` in interface `RemoteJMeterEngine`
      Throws:
        `java.rmi.RemoteException`

    - #### rstopTest

          public void rstopTest(boolean now)
                         throws java.rmi.RemoteException

      Specified by:
        `rstopTest` in interface `RemoteJMeterEngine`
      Throws:
        `java.rmi.RemoteException`

    - #### rexit

          public void rexit()
                     throws java.rmi.RemoteException

      Specified by:
        `rexit` in interface `RemoteJMeterEngine`
      Throws:
        `java.rmi.RemoteException`

    - #### rsetProperties

          public void rsetProperties(java.util.Properties p)
                              throws java.rmi.RemoteException

      Specified by:
        `rsetProperties` in interface `RemoteJMeterEngine`
      Throws:
        `java.rmi.RemoteException`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.